## ktp-auth-handler 0.8.0

=== CMakeLists.txt ===
project(ktp-auth-handler)

set(KTP_AUTH_HANDLER_VERSION "0.8.0")

set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${CMAKE_MODULE_PATH}
)
cmake_policy(SET CMP0002 OLD)

set(IS_KTP_INTERNAL_MODULE TRUE)
set(KDE_MIN_VERSION "4.4.75")
find_package (KDE4 4.4.75 REQUIRED)
find_package (TelepathyQt4 0.8.9 REQUIRED)
find_package (KTp REQUIRED)
find_package (QJSON REQUIRED)
find_package (QCA2 REQUIRED)
find_package (AccountsQt)
find_package (SignOnQt)

include (KDE4Defaults)
include (MacroLibrary)

macro_log_feature(ACCOUNTSQT_FOUND "AccountsQt" "Support for Accounts-SSO" "https://code.google.com/p/accounts-sso/source/checkout?repo=libaccounts-qt" FALSE "" "")
macro_log_feature(SIGNONQT_FOUND "SignonsQt" "Support for Accounts-SSO" "https://code.google.com/p/accounts-sso/source/checkout?repo=signond" FALSE "" "")
macro_display_feature_log()
message("-----------------------------------------------------------------------------")
message("IMPORTANT: There is a runtime dependency on QCA-OSSL. ")
message("This project will build, but will fail to run properly. Please ensure it is installed.")
message("If you are a packager you _must_ mark this as a dependency.")
message("-----------------------------------------------------------------------------")

add_definitions (${KDE4_DEFINITIONS})

include_directories (${KDE4_INCLUDES}
                     ${TELEPATHY_QT4_INCLUDE_DIR}
                     ${KTP_INCLUDE_DIR}
                     ${QJSON_INCLUDE_DIR}
                     ${QCA2_INCLUDE_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}/kssl
)

set(ktp_auth_handler_SRCS
    main.cpp
    sasl-handler.cpp
    sasl-auth-op.cpp
    tls-cert-verifier-op.cpp
    tls-handler.cpp
    types.cpp
    x-telepathy-password-auth-operation.cpp
    x-telepathy-password-prompt.cpp
    x-messenger-oauth2-auth-operation.cpp
    x-messenger-oauth2-prompt.cpp
    conference-auth-op.cpp
    conference-auth-observer.cpp
)

set(ktp_auth_handler_LIBS
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTWEBKIT_LIBRARY}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KTP_LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
)

#If we find Accounts-SSO frameworks, add support for it
if(ACCOUNTSQT_FOUND AND SIGNONQT_FOUND)

    add_definitions(-DHAVE_SSO)
    set(ktp_auth_handler_SRCS
        ${ktp_auth_handler_SRCS}
        x-telepathy-sso-facebook-operation.cpp
        x-telepathy-sso-google-operation.cpp
        getcredentialsjob.cpp
    )

    set(ktp_auth_handler_LIBS
        ${ktp_auth_handler_LIBS}
        ${ACCOUNTSQT_LIBRARIES}
        ${SIGNONQT_LIBRARIES}
    )

    include_directories(${ACCOUNTSQT_INCLUDE_DIRS}
                        ${SIGNONQT_INCLUDE_DIRS}
    )

endif(ACCOUNTSQT_FOUND AND SIGNONQT_FOUND)

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

kde4_add_ui_files(ktp_auth_handler_SRCS x-telepathy-password-prompt.ui)
kde4_add_executable(ktp-auth-handler ${ktp_auth_handler_SRCS})

target_link_libraries(ktp-auth-handler
    ${ktp_auth_handler_LIBS}
)

configure_file(org.freedesktop.Telepathy.Client.KTp.SASLHandler.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.SASLHandler.service)
configure_file(org.freedesktop.Telepathy.Client.KTp.TLSHandler.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.TLSHandler.service)

configure_file(org.freedesktop.Telepathy.Client.KTp.ConfAuthObserver.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.ConfAuthObserver.service)

install(TARGETS ktp-auth-handler DESTINATION ${LIBEXEC_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.SASLHandler.service
    ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.ConfAuthObserver.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.TLSHandler.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(FILES KTp.SASLHandler.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)
install(FILES KTp.TLSHandler.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)
install(FILES KTp.ConfAuthObserver.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== po/kk/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( kk ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

## ktp-auth-handler 0.3.1

=== debian/changelog ===
ktp-auth-handler (0.3.1-0ubuntu1) precise; urgency=low

  * new upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2012 11:34:04 +0100

ktp-auth-handler (0.3.0-0ubuntu1) precise; urgency=low

  * New upstream packaging
    - Follow upstream name in packages
    - Update rules file
    - Add libqtwebkit-dev to build depends
    - Add libktpcommoninternalsprivate-dev to build depends

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 08 Feb 2012 16:12:03 +0100

=== debian/control ===
Source: ktp-auth-handler
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 8),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.7.3),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.3.0),
 libqtwebkit-dev
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-auth-handler

Package: kde-telepathy-auth-handler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-telepathy
Description: KDE Telepathy authentication handler
 This package provides a Telepathy handler for the ServerAuthentication
 and ServerTLSConnection Telepathy channel types, which means that it
 provides passwords to connection managers (and stores them using KWallet)
 and also handles SSL certificate errors in encrypted IM connections.
 .
 This package is not meant to be used standalone. It is recommended
 to install the telepathy-kde metapackage instead.

Package: kde-telepathy-auth-handler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-auth-handler (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy authentication handler - debug symbols
 This package provides the debug symbols for the KDE Telepathy authentication
 handler module.

## ktp-auth-handler 0.4.0

=== debian/changelog ===
ktp-auth-handler (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:14:40 +0300

=== debian/control ===
Source: ktp-auth-handler
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.9.0),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.4.0),
 libqtwebkit-dev,
 libqjson-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-auth-handler
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git

Package: kde-telepathy-auth-handler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
Recommends: kde-telepathy
Description: KDE Telepathy authentication handler
 This package provides a Telepathy handler for the ServerAuthentication
 and ServerTLSConnection Telepathy channel types, which means that it
 provides passwords to connection managers (and stores them using KWallet)
 and also handles SSL certificate errors in encrypted IM connections.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-auth-handler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-auth-handler (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy authentication handler - debug symbols
 This package provides the debug symbols for the KDE Telepathy authentication
 handler module.

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-auth-handler-([\d.]+).tar.bz2

## ktp-auth-handler 0.5.1

=== debian/changelog ===
ktp-auth-handler (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:36:10 +0530

ktp-auth-handler (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:42:10 +0530

ktp-auth-handler (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 31 Jul 2012 18:26:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ktp-auth-handler
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.4.0),
+ libktpcommoninternalsprivate-dev (>= 0.5.1),
  libqtwebkit-dev,
  libqjson-dev
 Standards-Version: 3.9.3

## ktp-auth-handler 0.5.2

=== debian/changelog ===
ktp-auth-handler (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:17:55 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.1),
+ libktpcommoninternalsprivate-dev (>= 0.5.2),
  libqtwebkit-dev,
  libqjson-dev
 Standards-Version: 3.9.3

## ktp-auth-handler 0.6.1

=== debian/changelog ===
ktp-auth-handler (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:31:37 +0100

ktp-auth-handler (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:14:45 +0100

ktp-auth-handler (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release
    - Update install files
    - Add libqca2-dev as build-dep

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 16:28:21 +0000

ktp-auth-handler (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:20:26 +0530

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.2),
+ libktpcommoninternalsprivate-dev (>= 0.6.0),
  libqtwebkit-dev,
- libqjson-dev
+ libqjson-dev,
+ libqca2-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-auth-handler
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git

## ktp-auth-handler 0.6.3

=== debian/changelog ===
ktp-auth-handler (0.6.3-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1208837)
  * Bump on libktpcommoninternalsprivate-dev 

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 06 Aug 2013 21:31:01 +0800

ktp-auth-handler (0.6.2-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Bump on libktpcommoninternalsprivate-dev

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 21 Jun 2013 14:50:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.0),
+ libktpcommoninternalsprivate-dev (>= 0.6.3),
  libqtwebkit-dev,
  libqjson-dev,
  libqca2-dev

## ktp-auth-handler 0.8.0

=== debian/changelog ===
ktp-auth-handler (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 14:51:15 +0200

ktp-auth-handler (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:13:27 +0100

ktp-auth-handler (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:45:16 +0100

ktp-auth-handler (0.7.0-0ubuntu2) trusty; urgency=low

  * Add libqca2-plugin-ossl to kde-telepathy-auth-handler Depends since
    it is a runtime dependency

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Nov 2013 17:06:18 +0100

ktp-auth-handler (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 29 Oct 2013 12:45:57 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.3),
+ libktpcommoninternalsprivate-dev (>= 0.8.0),
  libqtwebkit-dev,
  libqjson-dev,
  libqca2-dev
@@ -20,7 +20,8 @@
 
 Package: kde-telepathy-auth-handler
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4),
+ libqca2-plugin-ossl
 Recommends: kde-telepathy
 Description: KDE Telepathy authentication handler
  This package provides a Telepathy handler for the ServerAuthentication

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-auth-handler-dbg --list-missing

## ktp-auth-handler 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ktp-auth-handler)
 
-set(KTP_AUTH_HANDLER_VERSION "0.8.0")
+set(KTP_AUTH_HANDLER_VERSION "0.8.1")
 
 set (CMAKE_MODULE_PATH
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( ia )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( uk )
add_subdirectory( vi )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== po/bs/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( bs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/vi/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( vi ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
ktp-auth-handler (0.8.1-0ubuntu0.1) trusty; urgency=medium

  * No change backport to trusty (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 19:32:47 +0200

ktp-auth-handler (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 17:06:07 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.8.0),
+ libktpcommoninternalsprivate-dev (>= 0.8.1),
  libqtwebkit-dev,
  libqjson-dev,
  libqca2-dev

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-auth-handler-([\d.]+).tar.bz2

## ktp-auth-handler 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ktp-auth-handler)
 
-set(KTP_AUTH_HANDLER_VERSION "0.8.1")
+set(KTP_AUTH_HANDLER_VERSION "0.9.0")
 
 set (CMAKE_MODULE_PATH
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"

=== debian/changelog ===
ktp-auth-handler (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-depends ktpcommoninteranslprivate-dev to 0.9.0
  * Update kde-telepathy-data version to be set by source:Upstream-Version
  * Update copyright file
  * Update Standards-Version to 3.9.6 No changes needed.
  * Update debian/watch file to use http://download.kde.org

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 19:44:41 -0700

ktp-auth-handler (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 3.9.5. No changes needed.
  * Update ktpcommoninteranalsprivate and kde-telepathy-data to >= 0.8.1
  * Update debian/copyright

 -- Diane Trout <diane@ghic.org>  Fri, 16 May 2014 20:46:53 -0700

ktp-auth-handler (0.7.0-1) unstable; urgency=low

  * Add Suggests: libqca2-plugin-ossl
  * New upstream version.
  * Bump Build-Depends ktpcommoninternalsprivate-dev to 0.7.0
  * Bump depends kde-telepathy-data to >= 0.7
  * Update copyright file

 -- Diane Trout <diane@ghic.org>  Wed, 04 Dec 2013 21:52:54 -0800

ktp-auth-handler (0.6.3-1) unstable; urgency=low

  [ Diane Trout ]
  * Add libqca2 dependency
  * Imported Upstream version 0.6.2
  * Set Uploaders to Diane Trout and Michał Zając
  * Include all telepathy client and d-bus configuration files.
            This adds KTp.ConfAuthObserver and KTp.TLSHandler.
  * Update Standards-Version to 3.9.4. No changes needed.
  * Bump build-dep to 0.6.2
  * Update watch file as KDE-Telepathy is now in KDE stable.

  [ Mark Purcell ] 
  * Imported Upstream version 0.6.3
  * Add myself to Uploaders
  * Update Build-Depends: libktpcommoninternalsprivate-dev (>= 0.6.3)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Aug 2013 10:22:29 +1000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: ktp-auth-handler
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.8.1),
+ libktpcommoninternalsprivate-dev (>= 0.9.0),
  libqtwebkit-dev,
  libqjson-dev,
  libqca2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-auth-handler
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git
 
 Package: kde-telepathy-auth-handler
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4),
- libqca2-plugin-ossl
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= ${source:Upstream-Version})
 Recommends: kde-telepathy
+Suggests: libqca2-plugin-ossl
 Description: KDE Telepathy authentication handler
  This package provides a Telepathy handler for the ServerAuthentication
  and ServerTLSConnection Telepathy channel types, which means that it

=== debian/watch ===
version=3
http://download.kde.org/stable/kde-telepathy/([\d.]+)/src/ktp-auth-handler-([\d.]+).tar.(?:bz2|xz)

## ktp-auth-handler 15.08.2

=== debian/changelog ===
ktp-auth-handler (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:49:42 +0100

ktp-auth-handler (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:30:34 +0100

ktp-auth-handler (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:41:24 +0100

ktp-auth-handler (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:17:28 +0100

ktp-auth-handler (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

  [ Scarlett Clark ]
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:28:07 +0200

ktp-auth-handler (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:00 +0100

ktp-auth-handler (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update build-depends ktpcommoninteranslprivate-dev to 0.8.80
  * Update kde-telepathy-data version to be set by source:Upstream-Version

 -- Diane Trout <diane@ghic.org>  Sat, 20 Sep 2014 20:26:22 -0700

=== debian/control ===
Source: ktp-auth-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kio-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5i18n-dev,
               libkf5wallet-dev,
               libkf5webkit-dev,
               libkf5widgetsaddons-dev,
               libktp-dev,
               libqca-qt5-2-dev,
               libsignon-qt5-dev,
               libtelepathy-qt5-dev,
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-auth-handler
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-auth-handler.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-auth-handler.git

Package: kde-telepathy-auth-handler
Architecture: any
Depends: kde-telepathy-data, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Suggests: libqca-qt5-2-plugins
Description: KDE Telepathy authentication handler
 This package provides a Telepathy handler for the ServerAuthentication
 and ServerTLSConnection Telepathy channel types, which means that it
 provides passwords to connection managers (and stores them using KWallet)
 and also handles SSL certificate errors in encrypted IM connections.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-auth-handler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-auth-handler (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy authentication handler - debug symbols
 This package provides the debug symbols for the KDE Telepathy authentication
 handler module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-telepathy-auth-handler-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-auth-handler-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-auth-handler-([\d.]+).tar.xz

## ktp-auth-handler 15.08.3

=== debian/changelog ===
ktp-auth-handler (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 02 Dec 2015 21:34:42 -0800

ktp-auth-handler (15.08.2-1) unstable; urgency=medium

  * Apply homepage update patch from Matthew Cope
  * Update watch file to for KTp's move to applications.
  * New upstream version. (Closes: #784488)
  * Update build-depends for the change to KF5.
    (Move to Qt5 versions and list specific kf5 modules).
  * Update copyright file. (Translations are in a new package).
  * Update kde-telepathy-auth-handler for new KF5 locations.
  * Use --fail-missing to make it easier to find not installed files.
  * Update for rename of ktpcommoninternalsprivate-dev to libktp-dev
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
    - Update plugins path to qt5/plugins.
  * Add KDE's unstable download url to watch file
  * Remove block in copyright file refering to removed files.

 -- Diane Trout <diane@ghic.org>  Sat, 07 Nov 2015 10:40:47 -0800

=== debian/control ===
Source: ktp-auth-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 cmake (>= 2.8),
 extra-cmake-modules (>= 0.0.11),
 qtbase5-dev,
 kio-dev,
 libaccounts-qt5-dev (>= 1.10),
 libkaccounts-dev,
 libkf5i18n-dev,
 libkf5wallet-dev,
 libkf5webkit-dev,
 libkf5widgetsaddons-dev,
 libktp-dev (>= 15.04),
 libtelepathy-qt5-dev (>= 0.9.0),
 libtelepathy-logger-qt-dev,
 libqca-qt5-2-dev,
 libsignon-qt5-dev (>= 8.55),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-auth-handler
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git

Package: kde-telepathy-auth-handler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= ${source:Upstream-Version})
Recommends: kde-telepathy
Suggests: libqca2-plugin-ossl
Description: KDE Telepathy authentication handler
 This package provides a Telepathy handler for the ServerAuthentication
 and ServerTLSConnection Telepathy channel types, which means that it
 provides passwords to connection managers (and stores them using KWallet)
 and also handles SSL certificate errors in encrypted IM connections.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-auth-handler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-auth-handler (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy authentication handler - debug symbols
 This package provides the debug symbols for the KDE Telepathy authentication
 handler module.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kde-telepathy-auth-handler-dbg
+
+override_dh_install:
+	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-auth-handler-([\d.]+).tar.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-auth-handler-([\d.]+).tar.(?:bz2|xz)

## ktp-auth-handler 15.12.3

=== CMakeLists.txt ===
project(ktp-auth-handler)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "15")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KTP_AUTH_HANDLER_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

find_package(Qt5 5.3 CONFIG REQUIRED COMPONENTS DBus Gui Core Network) #Network for QSsl

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

find_package(KF5 5.0 REQUIRED COMPONENTS Wallet WidgetsAddons I18n KIO WebKit)

cmake_policy(SET CMP0002 OLD)

set(IS_KTP_INTERNAL_MODULE TRUE)
find_package (TelepathyQt5 0.8.9 REQUIRED)
find_package (KTp REQUIRED)
find_package (Qca-qt5 REQUIRED)
find_package(AccountsQt5 1.10 REQUIRED CONFIG)
find_package(SignOnQt5 8.55 REQUIRED CONFIG)
find_package(KAccounts REQUIRED)

# include (MacroLibrary)
#
# macro_log_feature(ACCOUNTSQT_FOUND "AccountsQt" "Support for Accounts-SSO" "https://code.google.com/p/accounts-sso/source/checkout?repo=libaccounts-qt" FALSE "" "")
# macro_log_feature(SIGNONQT_FOUND "SignonsQt" "Support for Accounts-SSO" "https://code.google.com/p/accounts-sso/source/checkout?repo=signond" FALSE "" "")
# macro_display_feature_log()
message("-----------------------------------------------------------------------------")
message("IMPORTANT: There is a runtime dependency on QCA-OSSL. ")
message("This project will build, but will fail to run properly. Please ensure it is installed.")
message("If you are a packager you _must_ mark this as a dependency.")
message("-----------------------------------------------------------------------------")

find_package(Qca-qt5-ossl QUIET)
set_package_properties(Qca-qt5-ossl PROPERTIES
         PURPOSE "Runtime-only dependency on the OSSL plugin of QCA for authentication to work properly"
         TYPE RUNTIME
         )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMPackageConfigHelpers)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(FeatureSummary)

include_directories (${QCA_INCLUDE_DIR}
                     ${ACCOUNTSQT_INCLUDE_DIRS}
                     ${SIGNONQT_INCLUDE_DIRS}
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(ktp_auth_handler_SRCS
    main.cpp
    sasl-handler.cpp
    sasl-auth-op.cpp
    tls-cert-verifier-op.cpp
    tls-handler.cpp
    types.cpp
    x-telepathy-password-auth-operation.cpp
    x-telepathy-password-prompt.cpp
    x-telepathy-sso-google-operation.cpp
    conference-auth-op.cpp
    conference-auth-observer.cpp
)

set(ktp_auth_handler_LIBS
    KTp::CommonInternals
    qca-qt5
    ${ACCOUNTSQT_LIBRARIES}
    ${SIGNONQT_LIBRARIES}
    KAccounts
    KF5::WidgetsAddons
    KF5::Wallet
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    Qt5::Core
    Qt5::DBus
)

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

ki18n_wrap_ui(ktp_auth_handler_SRCS x-telepathy-password-prompt.ui)
add_executable(ktp-auth-handler ${ktp_auth_handler_SRCS})

target_link_libraries(ktp-auth-handler
    ${ktp_auth_handler_LIBS}
)

configure_file(org.freedesktop.Telepathy.Client.KTp.SASLHandler.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.SASLHandler.service)
configure_file(org.freedesktop.Telepathy.Client.KTp.TLSHandler.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.TLSHandler.service)

configure_file(org.freedesktop.Telepathy.Client.KTp.ConfAuthObserver.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.ConfAuthObserver.service)

install(TARGETS ktp-auth-handler DESTINATION ${LIBEXEC_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.SASLHandler.service
    ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.ConfAuthObserver.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.TLSHandler.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(FILES KTp.SASLHandler.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)
install(FILES KTp.TLSHandler.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)
install(FILES KTp.ConfAuthObserver.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)

=== debian/changelog ===
ktp-auth-handler (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Bump libkaccounts-dev build depend version. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:09:18 -0700

ktp-auth-handler (4:15.12.1-2ubuntu1) xenial; urgency=medium

  * Merged with Debian
    - Added epoch for Kubuntu
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:19:13 +0100

ktp-auth-handler (15.12.1-2) experimental; urgency=medium

  * Bump build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 20:11:49 +0100

ktp-auth-handler (15.12.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file.
  * Bump Standards-Version to 3.9.6.
  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:21 +0100

=== debian/control ===
Source: ktp-auth-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.11~),
               kio-dev (>= 5.0~),
               libaccounts-qt5-dev (>= 1.10~),
               libkaccounts-dev (>= 15.12.2~),
               libkf5i18n-dev (>= 5.0~),
               libkf5wallet-dev (>= 5.0~),
               libkf5webkit-dev (>= 5.0~),
               libkf5widgetsaddons-dev (>= 5.0~),
               libktp-dev (>= 15.12~),
               libqca-qt5-2-dev,
               libqca2-dev,
               libqjson-dev,
               libqtwebkit-dev,
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.8.9~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-auth-handler
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git

Package: kde-telepathy-auth-handler
Architecture: any
Depends: kde-telepathy-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Suggests: libqca-qt5-2-plugins
Description: KDE Telepathy authentication handler
 This package provides a Telepathy handler for the ServerAuthentication
 and ServerTLSConnection Telepathy channel types, which means that it
 provides passwords to connection managers (and stores them using KWallet)
 and also handles SSL certificate errors in encrypted IM connections.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kde-telepathy-auth-handler-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-auth-handler-([\d.]+)\.tar\.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-auth-handler-([\d.]+)\.tar\.(?:bz2|xz)

## ktp-auth-handler 16.04.3

=== debian/changelog ===
ktp-auth-handler (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:42:08 +0200

ktp-auth-handler (15.12.2-1~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 01 May 2016 20:31:04 -0700

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
            Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.11~),
-               kio-dev (>= 5.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
                libaccounts-qt5-dev (>= 1.10~),
-               libkaccounts-dev (>= 15.12.2~),
-               libkf5i18n-dev (>= 5.0~),
-               libkf5wallet-dev (>= 5.0~),
-               libkf5webkit-dev (>= 5.0~),
-               libkf5widgetsaddons-dev (>= 5.0~),
-               libktp-dev (>= 15.12~),
+               libkaccounts-dev (>= 4:16.04.3~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5wallet-dev (>= 5.24.0~),
+               libkf5webkit-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libktp-dev (>= 4:16.04.3~),
                libqca-qt5-2-dev,
                libqca2-dev,
                libqjson-dev,
@@ -24,11 +24,11 @@
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.8.9~),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-auth-handler
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-auth-handler.git
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-auth-handler
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-auth-handler
 
 Package: kde-telepathy-auth-handler
 Architecture: any

## ktp-auth-handler 16.12.3

=== debian/changelog ===
ktp-auth-handler (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:20 +0000

ktp-auth-handler (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Add runtime dep on libqca-qt5-2

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:06 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
            Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libaccounts-qt5-dev (>= 1.10~),
-               libkaccounts-dev (>= 4:16.04.3~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5wallet-dev (>= 5.24.0~),
-               libkf5webkit-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
-               libktp-dev (>= 4:16.04.3~),
+               libkaccounts-dev (>= 4:16.12.3~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
+               libkf5webkit-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libktp-dev (>= 4:16.12.3~),
+               libqca-qt5-2,
                libqca-qt5-2-dev,
-               libqca2-dev,
                libqjson-dev,
                libqtwebkit-dev,
                libsignon-qt5-dev (>= 8.55~),
@@ -27,7 +27,7 @@
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-auth-handler
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-auth-handler
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-auth-handler
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-auth-handler
 
 Package: kde-telepathy-auth-handler

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-auth-handler-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

## ktp-auth-handler 17.04.3

=== debian/changelog ===
ktp-auth-handler (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale/*
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:33:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libaccounts-qt5-dev (>= 1.10~),
-               libkaccounts-dev (>= 4:16.12.3~),
+               libkaccounts-dev (>= 4:17.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libktp-dev (>= 4:16.12.3~),
+               libktp-dev (>= 4:17.04.3~),
                libqca-qt5-2,
                libqca-qt5-2-dev,
                libqjson-dev,
@@ -37,6 +37,8 @@
          ${shlibs:Depends}
 Recommends: kde-telepathy
 Suggests: libqca-qt5-2-plugins
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: KDE Telepathy authentication handler
  This package provides a Telepathy handler for the ServerAuthentication
  and ServerTLSConnection Telepathy channel types, which means that it

## ktp-auth-handler 17.08.3

=== debian/changelog ===
ktp-auth-handler (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Raise the libqca-qt5-2-plugins suggest to a dependency, as also indicated
    by upstream.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:49:52 +0100

ktp-auth-handler (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kde-telepathy-auth-handler.install, no more useful now
    - no more need to invoke dh_install --fail-missing
  * Bump telepathy-related build dependencies:
    - libktp-dev to >= 17.08.3
    - libtelepathy-logger-qt-dev to >= 17.08
    - libtelepathy-qt5-dev to >= 0.9.7
  * Remove unused build dependencies: libqca2-dev, libqjson-dev, and
    libqtwebkit-dev.
  * Replace the libqca2-plugin-ossl suggest with libqca-qt5-2-plugins.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:43:41 +0100

ktp-auth-handler (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:03 +0200

ktp-auth-handler (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:34:03 +0200

ktp-auth-handler (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * upstream branch
  * Add a .gitattributes file to use dpkg-mergechangelogs

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:56:58 +0200

=== debian/control ===
Source: ktp-auth-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.11~),
               libaccounts-qt5-dev (>= 1.10),
               libkaccounts-dev,
               libkf5i18n-dev (>= 5.0~),
               libkf5kio-dev (>= 5.0~),
               libkf5wallet-dev (>= 5.0~),
               libkf5webkit-dev (>= 5.0~),
               libkf5widgetsaddons-dev (>= 5.0~),
               libktp-dev (>= 17.08.3~),
               libqca-qt5-2-dev,
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-auth-handler
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktp-auth-handler.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktp-auth-handler.git

Package: kde-telepathy-auth-handler
Architecture: any
Depends: kde-telepathy-data (>= ${source:Upstream-Version}),
         libqca-qt5-2-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Telepathy authentication handler
 This package provides a Telepathy handler for the ServerAuthentication
 and ServerTLSConnection Telepathy channel types, which means that it
 provides passwords to connection managers (and stores them using KWallet)
 and also handles SSL certificate errors in encrypted IM connections.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-auth-handler-dbg (<= 15.12.1-1~~)'
